<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cim.idm.dao.MaterialPackingDao">

    <select id="getMaterialPacking" resultType="map">
        SELECT * FROM MATERIALPACKING m
        WHERE MATERIALSPECNAME = #{dto.materialSpecName}
        <if test="dto.phase != null and dto.phase != ''">
            AND PHASE = #{dto.phase}
        </if>
        <if test="dto.receiveRequestName != null and dto.receiveRequestName != ''">
            AND RECEIVEREQUESTNAME = #{dto.receiveRequestName}
        </if>
        <if test="dto.sdkId != null and dto.sdkId != ''">
            AND SDK_ID = #{dto.sdkId}
        </if>
        AND STOCKSTATE = 'Created'
    </select>
</mapper>